# This file is a template, and might need editing before it works on your project.
# Full project: https://gitlab.com/pages/plain-html
before_script:
  - yum install npm
  - npm install -g typescript

pages:
  stage: deploy
  script:
  - mkdir .public
  - tsc LoadFile.ts
  - cp -r * .public
  - mv .public public
  artifacts:
    paths:
    - public
  only:
  - master
